Engage. Your Community

CanoScan Lide 20 detected but not working

Hi all, I need help to set up my old scanner.
My scanner is CanoScan Lide 20 and here is the result of lsusb :

Bus 001 Device 003: ID 058f:a016 Alcor Micro Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 004: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 002 Device 002: ID 062a:4101 Creative Labs Wireless Keyboard/Mouse
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 04a9:220d Canon, Inc. CanoScan N670U/N676U/LiDE 20
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

and the result of scanimage -L is:

device 'v4l:/dev/video0' is a Noname ASUS USB2.0 WebCam virtual device
device 'plustek:libusb:003:002' is a Canon CanoScan N670U/N676U/LiDE20 flatbed scanner

When I tried to scan using either xsane or simplescan, the scanner detected in their preferences but when hit the scan button, nothing happen with my scanner and the preview result from both application only a black picture.
But when I tried with free trial VueScan, the scanner works perfectly and I don't want to buy VueScan.
Please help me guys..

According to this thread on Fedora Forums you need sane-backends-drivers-scanners installed. I would have thought that should be installed but worth checking for.

BTW Vuescan is brilliant, worth the money if you do a lot of scanning but it isn't open source which is a problem for a lot of people. I have a film scanner which isn't supported in Linux (nor in Windows anymore I believe) and it works perfectly with Vuescan. At least testing with Vuescan shows there isn't a hardware problem.

I have a LiDE 25 and just tested it with Xsane and it works perfectly on a fully updated 25 on a machine that doesn't have Vuescan installed.

Here is the result of dnf list installed | grep sane-backends-drivers-scanners

sane-backends-drivers-scanners.x86_64 1.0.25-7.fc25 @updates

That package is installed in my system and I do read that too before ask.

Which desktop are you using? If it is Gnome try logging into a Xorg session rather than Wayland.

I'm using cinnamon and x11, wayland isn't on.

Kristo wrote:
I'm using cinnamon and x11, wayland isn't on.

Only Gnome has Wayland at this stage, so that isn't the problem.

I'm not sure what else to suggest so I've asked on irc for you.

Just letting you know that your issue was discussed on irc but no one came up with a solution. I did test on a new Cinnamon 25 installation that was fully updated and it worked fine with my LiDE 25. So at this stage I have no answers for you. Sorry.

The only things I can suggest is to run xsane or simplescan from the terminal and see if there are any errors. Also, if possible, try a different USB port Is your system fully updated?.

ow, okay...
It's look like I have to do clean install when korora 26 arrived because my cups also sometimes work and sometimes not. Really don't understand how to fix this, including my old scanner.
Thank you ozjd..

Kristo wrote:
ow, okay...
It's look like I have to do clean install when korora 26 arrived because my cups also sometimes work and sometimes not. Really don't understand how to fix this, including my old scanner.
Thank you ozjd..

There are some known problems with cups and some updates have been, see https://bugzilla.redhat.com/show_bug.cgi?id=1437065. Apart from keeping your system up to date there isn't much you can do about it.

my system is up to date.
the newest update I take is today in the morning which has several cups new packages 2.2.0-9.
But the provided link from you also good for knowing new information about the bugs. It can be related with the bug because my cups trouble only happen in my office.
Fresh install for Korora 26 is my last choice I will take and I'm really satisfied with Fedora which provide a simple way to upgrade into new version and the important thing is not break up my working system.
Really appreciate and thank you for the good works of Korora team.

Please Log In to participate with the community.